Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai
Interface OAIRepository

All Superinterfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, org.xml.sax.ext.LexicalHandler, org.apache.avalon.framework.logger.LogEnabled, OAIObject, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

All Known Subinterfaces:
  DocumentBaseOAIRepository

All Known Implementing Classes:
  AbstractDocumentBaseOAIRepository, AbstractOAIRepository

public interface OAIRepository
extends OAIObject, org.apache.avalon.framework.configuration.Configurable

This class is a SAX base repository build open Cocoon's XMLPipe interface. SAX events are generated when methods corresponding to OAI verbs are called and sent to the appropriate consumer. NOTE: the element corresponding to the verb name should be provided by these methods as in the sax stream if parameters are verified before response generation error elements will appear in the oai response and not within the verb response The SAX output is currently OAI-PMH 2.0 conformant.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.oai.OAIObject
`OAIObject.Node`

Field Summary

Fields inherited from interface fr.gouv.culture.oai.OAIObject
`HTTP_HEADER_NAME_FROM, HTTP_HEADER_NAME_USER_AGENT, NUMBER_RECORDS_PER_RESPONSE, STRING_DATEFORMAT_GRANULARITY_DAY, STRING_DATEFORMAT_GRANULARITY_SECOND`

Method Summary
`void` | `addDeletedRecord(java.lang.String id)` Adds a oai deleted record entry TO the repository
`java.lang.String[]` | `getAdminEmails()` Required element within a response from a repository queried with the "Identify" verb
`java.lang.String` | `getBaseURL()`
`java.lang.String` | `getCompression()`
`java.lang.String` | `getDeletedRecord()`
`void` | `getDescription(org.xml.sax.ContentHandler handler)` Sends the description xml for the repository to the provided content handler
`java.lang.String` | `getEarliestDatestamp()`
`java.lang.String` | `getGranularity()`
`java.lang.String` | `getProtocolVersion()`
`void` | `getRecord(OAIRequest request)` Send's xml data via SAX events to the Consumer, etc. see Cocoon's XMLProducer interface
`java.lang.String` | `getRepositoryName()`
`void` | `identify(OAIRequest request)` Send's xml data via SAX events to the Consumer, etc. see Cocoon's XMLProducer interface
`void` | `listIdentifiers(OAIRequest request)` Send's xml data via SAX events to the Consumer, etc. see Cocoon's XMLProducer interface
`void` | `listMetadataFormats(OAIRequest request)` Send's xml data via SAX events to the Consumer, etc. see Cocoon's XMLProducer interface
`void` | `listRecords(OAIRequest request)` Send's xml data via SAX events to the Consumer, etc. see Cocoon's XMLProducer interface
`void` | `listSets(OAIRequest request)` Send's xml data via SAX events to the Consumer, etc. see Cocoon's XMLProducer interface
`void` | `purgeDeletedRecords()` Deletes all deleted records FROM the repository
`void` | `removeDeletedRecord(java.lang.String id)` Removes a oai deleted record entry FROM the repository
`boolean` | `verifyParameters(OAIRequest request)` Verifies the request parameters respective of the verb provided in the request and the repository's level of support for certain optional features like "resumptionToken"s and "set"s note this method should return SAX events to any XMLConsumer set if errors exist within the request parameters

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Method Detail

### getRecord

    public void getRecord(OAIRequest request)
                   throws org.xml.sax.SAXException

  Send's xml data via SAX events to the Consumer, etc. see Cocoon's XMLProducer interface

  Parameters:
    `request` -
  Throws:
    `org.xml.sax.SAXException`

### identify

    public void identify(OAIRequest request)
                  throws org.xml.sax.SAXException

  Send's xml data via SAX events to the Consumer, etc. see Cocoon's XMLProducer interface

  Parameters:
    `request` -
  Throws:
    `org.xml.sax.SAXException`

### getGranularity

    public java.lang.String getGranularity()

### getRepositoryName

    public java.lang.String getRepositoryName()

### getEarliestDatestamp

    public java.lang.String getEarliestDatestamp()

### getDeletedRecord

    public java.lang.String getDeletedRecord()

### getProtocolVersion

    public java.lang.String getProtocolVersion()

### getBaseURL

    public java.lang.String getBaseURL()

### getAdminEmails

    public java.lang.String[] getAdminEmails()

  Required element within a response from a repository queried with the "Identify" verb

### getCompression

    public java.lang.String getCompression()

### getDescription

    public void getDescription(org.xml.sax.ContentHandler handler)
                        throws org.xml.sax.SAXException

  Sends the description xml for the repository to the provided content handler

  Parameters:
    `handler` - The handler to feed with events
  Throws:
    `org.xml.sax.SAXException`

### listIdentifiers

    public void listIdentifiers(OAIRequest request)
                         throws org.xml.sax.SAXException

  Send's xml data via SAX events to the Consumer, etc. see Cocoon's XMLProducer interface

  Parameters:
    `request` -
  Throws:
    `org.xml.sax.SAXException`

### listMetadataFormats

    public void listMetadataFormats(OAIRequest request)
                             throws org.xml.sax.SAXException

  Send's xml data via SAX events to the Consumer, etc. see Cocoon's XMLProducer interface

  Parameters:
    `request` -
  Throws:
    `org.xml.sax.SAXException`

### listRecords

    public void listRecords(OAIRequest request)
                     throws org.xml.sax.SAXException

  Send's xml data via SAX events to the Consumer, etc. see Cocoon's XMLProducer interface

  Parameters:
    `request` -
  Throws:
    `org.xml.sax.SAXException`

### listSets

    public void listSets(OAIRequest request)
                  throws org.xml.sax.SAXException

  Send's xml data via SAX events to the Consumer, etc. see Cocoon's XMLProducer interface

  Parameters:
    `request` -
  Throws:
    `org.xml.sax.SAXException`

### verifyParameters

    public boolean verifyParameters(OAIRequest request)
                             throws org.xml.sax.SAXException

  Verifies the request parameters respective of the verb provided in the request and the repository's level of support for certain optional features like "resumptionToken"s and "set"s note this method should return SAX events to any XMLConsumer set if errors exist within the request parameters

  Parameters:
    `request` - The request objec
  Throws:
    `org.xml.sax.SAXException`

### removeDeletedRecord

    public void removeDeletedRecord(java.lang.String id)
                             throws SDXException

  Removes a oai deleted record entry FROM the repository

  Parameters:
    `id` - The id of the record to remove
  Throws:
    `SDXException`

### addDeletedRecord

    public void addDeletedRecord(java.lang.String id)
                          throws SDXException

  Adds a oai deleted record entry TO the repository

  Parameters:
    `id` - The id of the record to remove
  Throws:
    `SDXException`

### purgeDeletedRecords

    public void purgeDeletedRecords()

  Deletes all deleted records FROM the repository

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.